Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class LinearComponentExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.LinearComponentExtracter

All Implemented Interfaces:
  GeometryComponentFilter

    public class LinearComponentExtracter

extends java.lang.Object
implements GeometryComponentFilter

Extracts all the 1-dimensional (`LineString`) components from a `Geometry`. For polygonal geometries, this will extract all the component `LinearRing`s. If desired, `LinearRing`s can be forced to be returned as `LineString`s.

Version:
  1.7

Constructor Summary
`LinearComponentExtracter(java.util.Collection lines)` Constructs a LineExtracterFilter with a list in which to store LineStrings found.
`LinearComponentExtracter(java.util.Collection lines, boolean isForcedToLineString)` Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Summary
`void` | `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.Collection` | `getLines(java.util.Collection geoms, java.util.Collection lines)` Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.
`static java.util.Collection` | `getLines(java.util.Collection geoms, java.util.Collection lines, boolean forceToLineString)` Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.
`static java.util.List` | `getLines(Geometry geom)` Extracts the linear components from a single geometry.
`static java.util.List` | `getLines(Geometry geom, boolean forceToLineString)` Extracts the linear components from a single geometry.
`static java.util.Collection` | `getLines(Geometry geom, java.util.Collection lines)` Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.
`static java.util.Collection` | `getLines(Geometry geom, java.util.Collection lines, boolean forceToLineString)` Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.
`void` | `setForceToLineString(boolean isForcedToLineString)` Indicates that LinearRing components should be converted to pure LineStrings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearComponentExtracter

    public LinearComponentExtracter(java.util.Collection lines)

  Constructs a LineExtracterFilter with a list in which to store LineStrings found.

### LinearComponentExtracter

    public LinearComponentExtracter(java.util.Collection lines,
                                    boolean isForcedToLineString)

  Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Detail

### getLines

    public static java.util.Collection getLines(java.util.Collection geoms,
                                                java.util.Collection lines)

  Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.

  Parameters:
    `geoms` - the collection of geometries from which to extract linear components
    `lines` - the collection to add the extracted linear components to
  Returns:
    the collection of linear components (LineStrings or LinearRings)

### getLines

    public static java.util.Collection getLines(java.util.Collection geoms,
                                                java.util.Collection lines,
                                                boolean forceToLineString)

  Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.

  Parameters:
    `geoms` - the Collection of geometries from which to extract linear components
    `lines` - the collection to add the extracted linear components to
    `forceToLineString` - true if LinearRings should be converted to LineStrings
  Returns:
    the collection of linear components (LineStrings or LinearRings)

### getLines

    public static java.util.Collection getLines(Geometry geom,
                                                java.util.Collection lines)

  Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.

  Parameters:
    `geom` - the geometry from which to extract linear components
    `lines` - the Collection to add the extracted linear components to
  Returns:
    the Collection of linear components (LineStrings or LinearRings)

### getLines

    public static java.util.Collection getLines(Geometry geom,
                                                java.util.Collection lines,
                                                boolean forceToLineString)

  Extracts the linear components from a single `Geometry` and adds them to the provided `Collection`.

  Parameters:
    `geom` - the geometry from which to extract linear components
    `lines` - the Collection to add the extracted linear components to
    `forceToLineString` - true if LinearRings should be converted to LineStrings
  Returns:
    the Collection of linear components (LineStrings or LinearRings)

### getLines

    public static java.util.List getLines(Geometry geom)

  Extracts the linear components from a single geometry. If more than one geometry is to be processed, it is more efficient to create a single `LinearComponentExtracter` instance and pass it to multiple geometries.

  Parameters:
    `geom` - the geometry from which to extract linear components
  Returns:
    the list of linear components

### getLines

    public static java.util.List getLines(Geometry geom,
                                          boolean forceToLineString)

  Extracts the linear components from a single geometry. If more than one geometry is to be processed, it is more efficient to create a single `LinearComponentExtracter` instance and pass it to multiple geometries.

  Parameters:
    `geom` - the geometry from which to extract linear components
    `forceToLineString` - true if LinearRings should be converted to LineStrings
  Returns:
    the list of linear components

### setForceToLineString

    public void setForceToLineString(boolean isForcedToLineString)

  Indicates that LinearRing components should be converted to pure LineStrings.

  Parameters:
    `isForcedToLineString` - true if LinearRings should be converted to LineStrings

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryComponentFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryComponentFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD